body {
    font-family: 'Arial', sans-serif;
    background-color: #eee;
    margin: 0;
    padding: 10px;
}

.todo-container {
    max-width: 400px; /* Your preferred width */
    margin: 0 auto;
    padding: 10px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.todo-item {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #f0f0f0;
    padding: 10px 0;
}

.color-tag {
    width: 10px;
    height: 40px; /* Adjust the height as needed */
    border-radius: 5px;
    margin-right: 10px;
}

.red { background-color: #e74c3c; }
.yellow { background-color: #f1c40f; }
.green { background-color: #2ecc71; }
.blue { background-color: #3498db; }
.purple { background-color: #9b59b6; }

.todo-title {
    font-weight: bold;
    margin-right: auto;
}

.todo-meta {
    margin-right: 10px;
    text-align: right;
}

.comments-count {
    font-size: 0.8rem;
    margin-right: 5px;
}

.task-status {
    font-size: 0.8rem;
    color: #999;
}

.user-avatar {
    width: 30px; /* Adjust the size as needed */
    height: 30px;
    border-radius: 50%;
}

/* Modal Styles */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}

.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
